Update resource auto-deploy settings
curl --request PATCH \
--url https://api.example.com/v1/api/resources/{resourceId}/auto-deploy-control \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"paused": true
}'import requests
url = "https://api.example.com/v1/api/resources/{resourceId}/auto-deploy-control"
payload = { "paused": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({paused: true})
};
fetch('https://api.example.com/v1/api/resources/{resourceId}/auto-deploy-control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoDeploy": {
"effective": {
"pending": {
"commitSha": "<string>",
"deploymentDigest": "<string>",
"deferredAt": "<string>",
"manifestId": "<string>",
"reason": "paused",
"scope": "environment"
},
"paused": true,
"scope": null
},
"manifestAutoDeployEnabled": true,
"paused": true
},
"canManageAutoDeploy": true,
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Update resource auto-deploy settings
Update resource auto-deploy settings through the Towbar REST API.
PATCH
/
resources
/
{resourceId}
/
auto-deploy-control
Update resource auto-deploy settings
Required permissions: deployment.create. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Last modified on September 5, 2026
